Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 584781 - Entitlement cert not downloaded in location /etc/pki/entitlement/product
Entitlement cert not downloaded in location /etc/pki/entitlement/product
Status: RELEASE_PENDING
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Todd Sanders
Katello QA List
:
Depends On:
Blocks: ent2
  Show dependency treegraph
 
Reported: 2010-04-22 08:00 EDT by spandey
Modified: 2015-05-14 11:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandey 2010-04-22 08:00:36 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Prerequisites :

Rhel 6 host registered with General candlepin 
sm version 41 

Steps to repro :

Login to the client host with valid credentials 
subscribe for entitlement using cli /gui

expected Result :
Subscribe entitlement certs should present in /etc/pki/entitlement/product/
it should display when execute following command on client console 

subscription-manager-cli list –consumed 

Actual Result 

Not able to find any cert at location /etc/pki/entitlement/product/
Not able to find list of subscribe entitlement using following command  


[root@rhel6client pki]# subscription-manager-cli list --consumed

 	Product Consumed 	activeSubscription 	endDate                   	startDate                 

----------------------------------------------------------------------------------------------------------------

[root@rhel6client pki]# 


cert contents can be find in 

/var/log/rhsm/rhsm.log

setup used 

candlepin : 10.65.193.58
client : 10.65.193.78
Comment 1 spandey 2010-05-20 05:59:26 EDT
Verified with following setup

server : statler.usersys.redhat.com,cert-fte-candelpin.devlab.redhat.com
client : Rhel6
SM version : 60 

Working fine
certs are getting downloaded in location /etc/pki/entitlement/product using repro steps 

Moving defect status from MODIFIED to VERIFIED
Comment 2 John Sefler 2011-05-04 10:41:29 EDT
Group move of VERIFIED Candlepin component bugs to RELEASE_PENDING

Note You need to log in before you can comment on or make changes to this bug.